#include "slider.h"
#include "plugin_slider.h"

#include <QtCore/QtPlugin>
#include <QDesignerFormEditorInterface>
#include <QDesignerPropertyEditorInterface>


SHSSliderPlugin::SHSSliderPlugin(QObject *parent)
    : QObject(parent)
{
    m_initialized = false;
}

void SHSSliderPlugin::initialize(QDesignerFormEditorInterface * /* core */)
{
    if (m_initialized)
        return;

    // Add extension registrations, etc. here

    m_initialized = true;
}

bool SHSSliderPlugin::isInitialized() const
{
    return m_initialized;
}

QWidget *SHSSliderPlugin::createWidget(QWidget *parent)
{
    return new SHSSlider(parent);
}

QString SHSSliderPlugin::name() const
{
    return QLatin1String("SHSSlider");
}

QString SHSSliderPlugin::group() const
{
	return QLatin1String("SHS Widgets");
}

QIcon SHSSliderPlugin::icon() const
{
    return QIcon(":/icons/touchslider.png");
}

QString SHSSliderPlugin::toolTip() const
{
    return QLatin1String("");
}

QString SHSSliderPlugin::whatsThis() const
{
    return QLatin1String("");
}

bool SHSSliderPlugin::isContainer() const
{
    return false;
}

QString SHSSliderPlugin::domXml() const
{
    return QLatin1String("<widget class=\"SHSSlider\" name=\"slider\">\n</widget>\n");
}

QString SHSSliderPlugin::includeFile() const
{
    return QLatin1String("slider.h");
}

